Bug 736352 - [webadmin] Hosts main tab: Actions
Summary: [webadmin] Hosts main tab: Actions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m2
: 3.1
Assignee: Vojtech Szocs
QA Contact:
URL:
Whiteboard:
Depends On: 736353
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:22 UTC by Einav Cohen
Modified: 2012-08-09 08:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)

Description Einav Cohen 2011-09-07 13:22:54 UTC
- New/Edit Host (dialog)
- Remove Host (confirmation)

Comment 1 Vojtech Szocs 2011-09-16 10:35:32 UTC
New/Edit Host dialog is close to completion. Remaining tasks:
1. Implement "Test" button on "Power Management" tab.
2. Verify new/edit behavior of the dialog (if everything works as expected).

"Test" button implementation is currently blocked because UiCompat's UriValidator implementation just throws a RuntimeException which breaks HostModel.Test() method flow. UriValidator needs to be implemented properly before New/Edit Host dialog pre-integration testing can begin.

For now, I will locally modify UriValidator so that IsValid() always returns true.

Comment 2 Vojtech Szocs 2011-09-20 10:07:42 UTC
"Test" button implementation is finished and verified (in dev mode).

Before passing "New/Edit Host" dialog to pre-integration, two issues need to be solved:
1) UriValidator impl. - the validation logic should be copied from backend (as discussed with Gilad)
2) ClassCastException in AsyncDataProvider that breaks some parts of dialog functionality

I'll discuss these issues with Gilad, and move on to "Remove Host" confirmation dialog.

Comment 3 Vojtech Szocs 2011-09-20 12:29:37 UTC
Pre-integration ticket https://trac.qa.lab.tlv.redhat.com/trac/integration/ticket/456

Comment 4 Vojtech Szocs 2011-09-20 15:07:50 UTC
WPF Client has specialized confirm dialog views (e.g. RemoveView) bound to ConfirmationModel. WebAdmin should allow the same level of customization, supporting different custom confirm dialogs.

Comment 5 Vojtech Szocs 2011-09-21 13:37:15 UTC
TabModelProvider popup support (dialogs bound to Window/ConfirmWindow model) refactored, with following results:
- it's now possible to customize confirm dialog implementation based on last executed command (e.g. remove host)
- confirm dialogs are handled uniformly for both Window and ConfirmWindow changes by WebAdmin

Comment 6 Vojtech Szocs 2011-09-21 16:33:48 UTC
Remove Host confirm dialog finished.

Added "remove" confirm dialog that can be reused for other models as well (e.g. when removing DC).

Comment 7 Vojtech Szocs 2011-09-22 08:47:26 UTC
Remaining tasks:
1. test dialogs in dev & web modes
2. resolve UriValidator impl.

Comment 8 Einav Cohen 2011-10-09 13:03:51 UTC
All is working except UriValidation for host-address.
Bug 744568 has been opened for this issue.

Comment 9 Itamar Heim 2012-08-09 08:03:36 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 10 Itamar Heim 2012-08-09 08:04:14 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.